commit:     6a5c1ebb08049e05bf54297f4570d1d641fc4cea
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 15 00:21:41 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 15 00:23:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a5c1ebb

app-office/lyx: Drop old

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-office/lyx/Manifest                 |   2 -
 app-office/lyx/files/2.0.8-python.patch |  29 -----
 app-office/lyx/lyx-2.0.8.1-r1.ebuild    | 170 -----------------------------
 app-office/lyx/lyx-2.2.2-r1.ebuild      | 183 --------------------------------
 app-office/lyx/lyx-2.2.3.ebuild         | 183 --------------------------------
 5 files changed, 567 deletions(-)

diff --git a/app-office/lyx/Manifest b/app-office/lyx/Manifest
index 0bb364d3197..852ec4ea1c3 100644
--- a/app-office/lyx/Manifest
+++ b/app-office/lyx/Manifest
@@ -1,4 +1,2 @@
-DIST lyx-2.0.8.1.tar.xz 10481988 BLAKE2B 
121a2f5a86f9b2f92fc211c052a26dfeb0c89c3f3ebb6d9e9eab397af7aec1f696806f79d7fc75c03649bbefa06295ad03d7207135308cb14560596b0c0f4790
 SHA512 
17e313d3118dfe439f5251384f2fffdb45ffef5ec515953b7af0762d35c8e156a9338de698cea91cf8b3cedca1fc08364d8f3c50c9345f304d57004af695f901
 DIST lyx-2.1.5.tar.xz 10361112 BLAKE2B 
ddc6e10974f495bb465fced0bfe95e0530831e924c12323267feec59e49900efefda154abac927f3129ab0820706a870fb463e749cff2b5c4b47368d954c9d20
 SHA512 
6f8c62ff96458d0c8c8057ae1e587be4c63bd3bdf2d4f095c24d447017034eda8c6b645efbd258f0956a9bbfe5fde2f90df36515be7b8a94cb63674bc3a58672
-DIST lyx-2.2.2.tar.xz 15490148 BLAKE2B 
16d9b1448da76dd0b02ee4cdec38831a0c3aa7a0798b4f99bb6c93717223dfd3c62145afa76324177ed162d4c45ab341a963831855c9607d8544574ae88766da
 SHA512 
5057a06f0c37cb2beadb92414eec495ba0619f6c8a9fb5372a9feb90fe0d8bf850de5c94bbf618c8e27bd64404ae6687c48ee24aa6e1bd35580eb3b77d71d45e
 DIST lyx-2.2.3.tar.xz 15501856 BLAKE2B 
08606f0c18d9cb5891bd7d612361597e3efc7e7855f7607c2620f10ddb22b7078d5085f725911496198d2d8a47ece54cbfe67cfbf4ec8eb15450271cd133b095
 SHA512 
b5a4a16b22680022651a0f3911c2c24bcd3541a573e672e541cb0af6572089e4b0e0ec1cafb40850e75c377e7da5b286d0314886e0c57d55f57645d8e4a07708

diff --git a/app-office/lyx/files/2.0.8-python.patch 
b/app-office/lyx/files/2.0.8-python.patch
deleted file mode 100644
index 5fb21655a69..00000000000
--- a/app-office/lyx/files/2.0.8-python.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-diff --git a/src/graphics/GraphicsConverter.cpp 
b/src/graphics/GraphicsConverter.cpp
-index 97c4f68..8f05e62 100644
---- a/src/graphics/GraphicsConverter.cpp
-+++ b/src/graphics/GraphicsConverter.cpp
-@@ -262,7 +262,7 @@ static void build_script(FileName const & from_file,
-       LYXERR(Debug::GRAPHICS, "build_script ... ");
-       typedef Graph::EdgePath EdgePath;
- 
--      script << "#!/usr/bin/env python\n"
-+      script << "#!/usr/bin/env python2\n"
-                 "# -*- coding: utf-8 -*-\n"
-                 "import os, shutil, sys\n\n"
-                 "def unlinkNoThrow(file):\n"
-diff --git a/src/support/os.cpp b/src/support/os.cpp
-index 8f60c68..2f1cb91 100644
---- a/src/support/os.cpp
-+++ b/src/support/os.cpp
-@@ -63,9 +63,9 @@ int timeout_min()
- string const python(bool reset)
- {
-       // Check whether the first python in PATH is the right one.
--      static string command = python2("python -tt");
-+      static string command = python2("python2 -tt");
-       if (reset) {
--              command = python2("python -tt");
-+              command = python2("python2 -tt");
-       }
- 
-       if (command.empty()) {

diff --git a/app-office/lyx/lyx-2.0.8.1-r1.ebuild 
b/app-office/lyx/lyx-2.0.8.1-r1.ebuild
deleted file mode 100644
index 3e87c826bd1..00000000000
--- a/app-office/lyx/lyx-2.0.8.1-r1.ebuild
+++ /dev/null
@@ -1,170 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-inherit gnome2-utils eutils fdo-mime flag-o-matic font python-single-r1 
toolchain-funcs
-
-MY_P="${P/_}"
-
-S="${WORKDIR}/${MY_P}"
-FONT_S="${S}/lib/fonts"
-FONT_SUFFIX="ttf"
-DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
-HOMEPAGE="https://www.lyx.org/";
-SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${MY_P}.tar.xz
-       ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.0/${PV}/${MY_P}.tar.xz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 ~hppa ia64 ppc ppc64 sparc x86 ~x64-macos ~x86-macos"
-IUSE="cups debug nls +latex monolithic-build html rtf dot docbook dia 
subversion rcs svg gnumeric +hunspell aspell enchant l10n_he"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-DOCS=( ANNOUNCE NEWS README RELEASE-NOTES UPGRADING )
-
-COMMONDEPEND="dev-qt/qtgui:4
-       dev-qt/qtcore:4
-       >=dev-libs/boost-1.34
-       ${PYTHON_DEPS}"
-
-RDEPEND="${COMMONDEPEND}
-       dev-texlive/texlive-fontsextra
-       virtual/imagemagick-tools[png,svg?]
-       cups? ( net-print/cups )
-       latex? (
-               app-text/texlive
-               app-text/ghostscript-gpl
-               app-text/noweb
-               app-text/dvipng
-               dev-tex/dvipost
-               dev-tex/chktex
-               app-text/ps2eps
-               dev-texlive/texlive-latexextra
-               dev-texlive/texlive-pictures
-               || ( dev-texlive/texlive-mathscience 
dev-texlive/texlive-science )
-               || ( dev-texlive/texlive-plaingeneric 
dev-texlive/texlive-genericextra )
-               dev-texlive/texlive-fontsrecommended
-               || (
-                       dev-tex/latex2html
-                       dev-tex/tth
-                       dev-tex/hevea
-                       dev-tex/tex4ht[java]
-               )
-       )
-       html? ( dev-tex/html2latex )
-       rtf? (
-                       dev-tex/latex2rtf
-                       app-text/unrtf
-                       dev-tex/html2latex
-               )
-       l10n_he? ( dev-tex/culmus-latex )
-       docbook? ( app-text/sgmltools-lite )
-       dot? ( media-gfx/graphviz )
-       dia? ( app-office/dia )
-       subversion? ( <dev-vcs/subversion-1.7.0 )
-       rcs? ( dev-vcs/rcs )
-       svg? ( || ( gnome-base/librsvg media-gfx/inkscape ) )
-       gnumeric? ( app-office/gnumeric )
-       hunspell? ( app-text/hunspell )
-       aspell? ( app-text/aspell )
-       enchant? ( app-text/enchant )"
-
-DEPEND="${COMMONDEPEND}
-       virtual/pkgconfig
-       nls? ( sys-devel/gettext )"
-
-pkg_setup() {
-       python-single-r1_pkg_setup
-       font_pkg_setup
-}
-
-src_prepare() {
-       epatch "${FILESDIR}"/2.0.8-python.patch
-       sed "s:python -tt:${EPYTHON} -tt:g" -i lib/configure.py || die
-}
-
-src_configure() {
-       tc-export CXX
-       #bug 221921
-       export VARTEXFONTS=${T}/fonts
-
-       econf \
-               $(use_enable nls) \
-               $(use_enable debug) \
-               $(use_enable monolithic-build) \
-               $(use_with hunspell) \
-               $(use_with aspell) \
-               $(use_with enchant) \
-               --without-included-boost \
-               --disable-stdlib-debug \
-               --with-packaging=posix
-}
-
-src_install() {
-       default
-
-       if use l10n_he ; then
-               echo "\bind_file cua" > "${T}"/hebrew.bind
-               echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
-
-               insinto /usr/share/lyx/bind
-               doins "${T}"/hebrew.bind || die
-       fi
-
-       newicon -s 32 "${S}/development/Win32/packaging/icons/lyx_32x32.png" 
${PN}.png
-       doicon -s 48 "${S}/lib/images/lyx.png"
-       doicon -s scalable "${S}/lib/images/lyx.svg"
-       make_desktop_entry ${PN} "LyX" "${PN}" "Office" 
"MimeType=application/x-lyx;"
-
-       # fix for bug 91108
-       if use latex ; then
-               dosym ../../../lyx/tex /usr/share/texmf-site/tex/latex/lyx || 
die
-       fi
-
-       # fonts needed for proper math display, see also bug #15629
-       font_src_install
-
-       python_fix_shebang "${ED}"/usr/share/${PN}
-
-       if use hunspell ; then
-               dosym ../myspell /usr/share/lyx/dicts
-               dosym ../myspell /usr/share/lyx/thes
-       fi
-}
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       font_pkg_postinst
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       # fix for bug 91108
-       if use latex ; then
-               texhash
-       fi
-
-       # instructions for RTL support. See also bug 168331.
-       if use l10n_he || has he ${LINGUAS} || has ar ${LINGUAS} ; then
-               elog
-               elog "Enabling RTL support in LyX:"
-               elog "If you intend to use a RTL language (such as Hebrew or 
Arabic)"
-               elog "You must enable RTL support in LyX. To do so start LyX 
and go to"
-               elog "Tools->Preferences->Language settings->Language"
-               elog "and make sure the \"Right-to-left language support\" is 
checked"
-               elog
-       fi
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       if use latex ; then
-               texhash
-       fi
-}

diff --git a/app-office/lyx/lyx-2.2.2-r1.ebuild 
b/app-office/lyx/lyx-2.2.2-r1.ebuild
deleted file mode 100644
index 8463d966225..00000000000
--- a/app-office/lyx/lyx-2.2.2-r1.ebuild
+++ /dev/null
@@ -1,183 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-inherit gnome2-utils eutils fdo-mime flag-o-matic font python-single-r1 
toolchain-funcs
-
-MY_P="${P/_}"
-
-S="${WORKDIR}/${MY_P}"
-FONT_S="${S}/lib/fonts"
-FONT_SUFFIX="ttf"
-DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
-HOMEPAGE="https://www.lyx.org/";
-SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.2.x/${MY_P}.tar.xz
-       ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.2/${MY_P}/${MY_P}.tar.xz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos 
~x86-macos"
-IUSE="cups debug nls +latex monolithic-build html rtf dot docbook dia 
subversion rcs svg gnumeric +hunspell aspell enchant +qt4 qt5 l10n_he"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
-       qt4? ( !qt5 )
-       qt5? ( !qt4 )"
-
-DOCS=( ANNOUNCE NEWS README RELEASE-NOTES UPGRADING )
-
-COMMONDEPEND=">=dev-libs/boost-1.34:=
-       ${PYTHON_DEPS}
-       qt4? ( dev-qt/qtgui:4 dev-qt/qtcore:4 dev-qt/qtsvg:4 )
-       qt5? ( dev-qt/qtgui:5 dev-qt/qtcore:5 dev-qt/qtwidgets:5 
dev-qt/qtx11extras:5 dev-qt/qtsvg:5 dev-qt/qtconcurrent:5 )"
-
-RDEPEND="${COMMONDEPEND}
-       dev-texlive/texlive-fontsextra
-       virtual/imagemagick-tools[png,svg?]
-       cups? ( net-print/cups )
-       latex? (
-               app-text/texlive
-               app-text/ghostscript-gpl
-               app-text/noweb
-               app-text/dvipng
-               dev-tex/dvipost
-               dev-tex/chktex
-               app-text/ps2eps
-               dev-texlive/texlive-latexextra
-               dev-texlive/texlive-pictures
-               || ( dev-texlive/texlive-mathscience 
dev-texlive/texlive-science )
-               || ( dev-texlive/texlive-plaingeneric 
dev-texlive/texlive-genericextra )
-               dev-texlive/texlive-fontsrecommended
-               || (
-                       dev-tex/latex2html
-                       dev-tex/tth
-                       dev-tex/hevea
-                       dev-tex/tex4ht[java]
-               )
-       )
-       html? ( dev-tex/html2latex )
-       rtf? (
-                       dev-tex/latex2rtf
-                       app-text/unrtf
-                       dev-tex/html2latex
-               )
-       l10n_he? ( dev-tex/culmus-latex )
-       docbook? ( app-text/sgmltools-lite )
-       dot? ( media-gfx/graphviz )
-       dia? ( app-office/dia )
-       subversion? ( dev-vcs/subversion )
-       rcs? ( dev-vcs/rcs )
-       svg? ( || ( gnome-base/librsvg media-gfx/inkscape ) )
-       gnumeric? ( app-office/gnumeric )
-       hunspell? ( app-text/hunspell )
-       aspell? ( app-text/aspell )
-       enchant? ( app-text/enchant )"
-
-DEPEND="${COMMONDEPEND}
-       virtual/pkgconfig
-       nls? ( sys-devel/gettext )"
-
-pkg_setup() {
-       python-single-r1_pkg_setup
-       font_pkg_setup
-}
-
-src_prepare() {
-       epatch "${FILESDIR}"/2.1-python.patch
-       sed "s:python -tt:${EPYTHON} -tt:g" -i lib/configure.py || die
-       if use qt4; then
-               export QT_SELECT=qt4
-       elif use qt5; then
-               export QT_SELECT=qt5
-       fi
-}
-
-src_configure() {
-       tc-export CXX
-       #bug 221921
-       export VARTEXFONTS=${T}/fonts
-       local qt_flag=""
-       if use qt4; then
-               qt_flag=""
-       elif use qt5; then
-               qt_flag="--enable-qt5"
-       fi
-
-       econf \
-               $(use_enable nls) \
-               $(use_enable debug) \
-               $(use_enable monolithic-build) \
-               $(use_with hunspell) \
-               $(use_with aspell) \
-               $(use_with enchant) \
-               ${qt_flag} \
-               --without-included-boost \
-               --disable-stdlib-debug \
-               --with-packaging=posix
-}
-
-src_install() {
-       default
-
-       if use l10n_he ; then
-               echo "\bind_file cua" > "${T}"/hebrew.bind
-               echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
-
-               insinto /usr/share/lyx/bind
-               doins "${T}"/hebrew.bind || die
-       fi
-
-       newicon -s 32 "${S}/development/Win32/packaging/icons/lyx_32x32.png" 
${PN}.png
-       doicon -s 48 "${S}/lib/images/lyx.png"
-       doicon -s scalable "${S}/lib/images/lyx.svg"
-
-       # fix for bug 91108
-       if use latex ; then
-               dosym ../../../lyx/tex /usr/share/texmf-site/tex/latex/lyx || 
die
-       fi
-
-       # fonts needed for proper math display, see also bug #15629
-       font_src_install
-
-       python_fix_shebang "${ED}"/usr/share/${PN}
-
-       if use hunspell ; then
-               dosym ../myspell /usr/share/lyx/dicts
-               dosym ../myspell /usr/share/lyx/thes
-       fi
-}
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       font_pkg_postinst
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       # fix for bug 91108
-       if use latex ; then
-               texhash
-       fi
-
-       # instructions for RTL support. See also bug 168331.
-       if use l10n_he || has he ${LINGUAS} || has ar ${LINGUAS} ; then
-               elog
-               elog "Enabling RTL support in LyX:"
-               elog "If you intend to use a RTL language (such as Hebrew or 
Arabic)"
-               elog "You must enable RTL support in LyX. To do so start LyX 
and go to"
-               elog "Tools->Preferences->Language settings->Language"
-               elog "and make sure the \"Right-to-left language support\" is 
checked"
-               elog
-       fi
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       if use latex ; then
-               texhash
-       fi
-}

diff --git a/app-office/lyx/lyx-2.2.3.ebuild b/app-office/lyx/lyx-2.2.3.ebuild
deleted file mode 100644
index 8463d966225..00000000000
--- a/app-office/lyx/lyx-2.2.3.ebuild
+++ /dev/null
@@ -1,183 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-inherit gnome2-utils eutils fdo-mime flag-o-matic font python-single-r1 
toolchain-funcs
-
-MY_P="${P/_}"
-
-S="${WORKDIR}/${MY_P}"
-FONT_S="${S}/lib/fonts"
-FONT_SUFFIX="ttf"
-DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
-HOMEPAGE="https://www.lyx.org/";
-SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.2.x/${MY_P}.tar.xz
-       ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.2/${MY_P}/${MY_P}.tar.xz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos 
~x86-macos"
-IUSE="cups debug nls +latex monolithic-build html rtf dot docbook dia 
subversion rcs svg gnumeric +hunspell aspell enchant +qt4 qt5 l10n_he"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
-       qt4? ( !qt5 )
-       qt5? ( !qt4 )"
-
-DOCS=( ANNOUNCE NEWS README RELEASE-NOTES UPGRADING )
-
-COMMONDEPEND=">=dev-libs/boost-1.34:=
-       ${PYTHON_DEPS}
-       qt4? ( dev-qt/qtgui:4 dev-qt/qtcore:4 dev-qt/qtsvg:4 )
-       qt5? ( dev-qt/qtgui:5 dev-qt/qtcore:5 dev-qt/qtwidgets:5 
dev-qt/qtx11extras:5 dev-qt/qtsvg:5 dev-qt/qtconcurrent:5 )"
-
-RDEPEND="${COMMONDEPEND}
-       dev-texlive/texlive-fontsextra
-       virtual/imagemagick-tools[png,svg?]
-       cups? ( net-print/cups )
-       latex? (
-               app-text/texlive
-               app-text/ghostscript-gpl
-               app-text/noweb
-               app-text/dvipng
-               dev-tex/dvipost
-               dev-tex/chktex
-               app-text/ps2eps
-               dev-texlive/texlive-latexextra
-               dev-texlive/texlive-pictures
-               || ( dev-texlive/texlive-mathscience 
dev-texlive/texlive-science )
-               || ( dev-texlive/texlive-plaingeneric 
dev-texlive/texlive-genericextra )
-               dev-texlive/texlive-fontsrecommended
-               || (
-                       dev-tex/latex2html
-                       dev-tex/tth
-                       dev-tex/hevea
-                       dev-tex/tex4ht[java]
-               )
-       )
-       html? ( dev-tex/html2latex )
-       rtf? (
-                       dev-tex/latex2rtf
-                       app-text/unrtf
-                       dev-tex/html2latex
-               )
-       l10n_he? ( dev-tex/culmus-latex )
-       docbook? ( app-text/sgmltools-lite )
-       dot? ( media-gfx/graphviz )
-       dia? ( app-office/dia )
-       subversion? ( dev-vcs/subversion )
-       rcs? ( dev-vcs/rcs )
-       svg? ( || ( gnome-base/librsvg media-gfx/inkscape ) )
-       gnumeric? ( app-office/gnumeric )
-       hunspell? ( app-text/hunspell )
-       aspell? ( app-text/aspell )
-       enchant? ( app-text/enchant )"
-
-DEPEND="${COMMONDEPEND}
-       virtual/pkgconfig
-       nls? ( sys-devel/gettext )"
-
-pkg_setup() {
-       python-single-r1_pkg_setup
-       font_pkg_setup
-}
-
-src_prepare() {
-       epatch "${FILESDIR}"/2.1-python.patch
-       sed "s:python -tt:${EPYTHON} -tt:g" -i lib/configure.py || die
-       if use qt4; then
-               export QT_SELECT=qt4
-       elif use qt5; then
-               export QT_SELECT=qt5
-       fi
-}
-
-src_configure() {
-       tc-export CXX
-       #bug 221921
-       export VARTEXFONTS=${T}/fonts
-       local qt_flag=""
-       if use qt4; then
-               qt_flag=""
-       elif use qt5; then
-               qt_flag="--enable-qt5"
-       fi
-
-       econf \
-               $(use_enable nls) \
-               $(use_enable debug) \
-               $(use_enable monolithic-build) \
-               $(use_with hunspell) \
-               $(use_with aspell) \
-               $(use_with enchant) \
-               ${qt_flag} \
-               --without-included-boost \
-               --disable-stdlib-debug \
-               --with-packaging=posix
-}
-
-src_install() {
-       default
-
-       if use l10n_he ; then
-               echo "\bind_file cua" > "${T}"/hebrew.bind
-               echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
-
-               insinto /usr/share/lyx/bind
-               doins "${T}"/hebrew.bind || die
-       fi
-
-       newicon -s 32 "${S}/development/Win32/packaging/icons/lyx_32x32.png" 
${PN}.png
-       doicon -s 48 "${S}/lib/images/lyx.png"
-       doicon -s scalable "${S}/lib/images/lyx.svg"
-
-       # fix for bug 91108
-       if use latex ; then
-               dosym ../../../lyx/tex /usr/share/texmf-site/tex/latex/lyx || 
die
-       fi
-
-       # fonts needed for proper math display, see also bug #15629
-       font_src_install
-
-       python_fix_shebang "${ED}"/usr/share/${PN}
-
-       if use hunspell ; then
-               dosym ../myspell /usr/share/lyx/dicts
-               dosym ../myspell /usr/share/lyx/thes
-       fi
-}
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       font_pkg_postinst
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       # fix for bug 91108
-       if use latex ; then
-               texhash
-       fi
-
-       # instructions for RTL support. See also bug 168331.
-       if use l10n_he || has he ${LINGUAS} || has ar ${LINGUAS} ; then
-               elog
-               elog "Enabling RTL support in LyX:"
-               elog "If you intend to use a RTL language (such as Hebrew or 
Arabic)"
-               elog "You must enable RTL support in LyX. To do so start LyX 
and go to"
-               elog "Tools->Preferences->Language settings->Language"
-               elog "and make sure the \"Right-to-left language support\" is 
checked"
-               elog
-       fi
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
-       fdo-mime_desktop_database_update
-
-       if use latex ; then
-               texhash
-       fi
-}

Reply via email to